#NLS_ENCODING=UTF-8
#NLS_MESSAGEFORMAT_NONE
A\ list\ of\ paths\ to\ Compose\ YAML\ files,\ separated\ by\ newline\ characters.\ The\ default\ Compose\ file\ is\ docker-compose.yml.=[G'\uff21 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff50\uff41\uff54\uff48\uff53 \uff54\uff4f \uff23\uff4f\uff4d\uff50\uff4f\uff53\uff45 \uff39\uff21\uff2d\uff2c \uff46iles, separated by newline characters. The default Compose file is docker-compose.yml.\u0e0f\u0e39\u0130\u0131\uff5c]
Additional\ Options=[G'\uff21\uff44\uff44\uff49\uff54\uff49onal Options\u0e0f\u0e39\u0130\u0131\uff5c]
Application=[G'\uff21\uff50plication\u0e0f\u0e39\u0130\u0131\uff5c]
Application\ Process\ Request=[G'\uff21\uff50\uff50\uff4c\uff49\uff43\uff41\uff54\uff49on Process Request\u0e0f\u0e39\u0130\u0131\uff5c]
Auth\ Token=[G'\uff21uth Token\u0e0f\u0e39\u0130\u0131\uff5c]
Base\ Resource=[G'\uff22\uff41\uff53e Resource\u0e0f\u0e39\u0130\u0131\uff5c]
build=[G'build\u0e0f\u0e39\u0130\u0131\uff5c]
bundle=[G'bundle\u0e0f\u0e39\u0130\u0131\uff5c]
Cloud=[G'Cloud\u0e0f\u0e39\u0130\u0131\uff5c]
Command\ Options\ and\ Services=[G'\uff23\uff4f\uff4d\uff4d\uff41\uff4e\uff44 \uff2f\uff50tions and Services\u0e0f\u0e39\u0130\u0131\uff5c]
Community\ Plugin=[G'\uff23\uff4f\uff4d\uff4d\uff55nity Plugin\u0e0f\u0e39\u0130\u0131\uff5c]
Component=[G'Component\u0e0f\u0e39\u0130\u0131\uff5c]
Component\ Process\ Request=[G'\uff23\uff4f\uff4d\uff50\uff4f\uff4e\uff45\uff4e\uff54 Process Request\u0e0f\u0e39\u0130\u0131\uff5c]
Component\ Template=[G'\uff23\uff4f\uff4d\uff50\uff4f\uff4eent Template\u0e0f\u0e39\u0130\u0131\uff5c]
Compose\ Command=[G'\uff23\uff4f\uff4d\uff50ose Command\u0e0f\u0e39\u0130\u0131\uff5c]
Compose\ Files=[G'\uff23\uff4f\uff4dpose Files\u0e0f\u0e39\u0130\u0131\uff5c]
Compose\ Options=[G'\uff23\uff4f\uff4d\uff50ose Options\u0e0f\u0e39\u0130\u0131\uff5c]
config=[G'config\u0e0f\u0e39\u0130\u0131\uff5c]
create=[G'create\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ an\ environment\ based\ on\ a\ Compose\ file.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 \uff41\uff4e \uff45\uff4e\uff56ironment based on a Compose file.\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ Child\ Resources=[G'\uff23\uff52\uff45\uff41\uff54\uff45 \uff23\uff48ild Resources\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ child\ resources\ of\ the\ component\ from\ Compose\ application\ resources.\ Dynamically\ generate\ an\ overrides\ file\ for\ docker-compose.yml\ based\ on\ the\ selected\ component\ versions\ at\ deployment.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 \uff43\uff48\uff49\uff4c\uff44 \uff52\uff45\uff53\uff4f\uff55\uff52\uff43\uff45\uff53 \uff4f\uff46 \uff54\uff48\uff45 \uff43\uff4f\uff4d\uff50\uff4f\uff4e\uff45\uff4e\uff54 \uff46\uff52\uff4f\uff4d \uff23\uff4f\uff4d\uff50\uff4f\uff53\uff45 \uff41\uff50\uff50lication resources. Dynamically generate an overrides file for docker-compose.yml based on the selected component versions at deployment.\u0e0f\u0e39\u0130\u0131\uff5c]
Do\ Not\ Delete\ Script=[G'\uff24\uff4f \uff2e\uff4f\uff54 \uff24\uff45lete Script\u0e0f\u0e39\u0130\u0131\uff5c]
Docker=[G'Docker\u0e0f\u0e39\u0130\u0131\uff5c]
Docker\ Compose=[G'\uff24\uff4f\uff43\uff4ber Compose\u0e0f\u0e39\u0130\u0131\uff5c]
docker-compose\ Command\ Path=[G'\uff44\uff4f\uff43\uff4b\uff45\uff52-\uff43\uff4f\uff4dpose Command Path\u0e0f\u0e39\u0130\u0131\uff5c]
down=[G'down\u0e0f\u0e39\u0130\u0131\uff5c]
Environment=[G'\uff25\uff4evironment\u0e0f\u0e39\u0130\u0131\uff5c]
Environment\ Property\ Values=[G'\uff25\uff4e\uff56\uff49\uff52\uff4f\uff4e\uff4d\uff45nt Property Values\u0e0f\u0e39\u0130\u0131\uff5c]
Environment\ Script\ Paths=[G'\uff25\uff4e\uff56\uff49\uff52\uff4f\uff4e\uff4dent Script Paths\u0e0f\u0e39\u0130\u0131\uff5c]
events=[G'events\u0e0f\u0e39\u0130\u0131\uff5c]
exec=[G'exec\u0e0f\u0e39\u0130\u0131\uff5c]
Full\ path\ to\ the\ docker-compose\ executable,\ or\ command\ name\ (docker-compose)\ if\ it\ is\ on\ the\ $PATH\ environment\ variable.\ Default\ value\ is\ 'docker-compose'.=[G'\uff26\uff55\uff4c\uff4c \uff50\uff41\uff54\uff48 \uff54\uff4f \uff54\uff48\uff45 \uff44\uff4f\uff43\uff4b\uff45\uff52-\uff43\uff4f\uff4d\uff50\uff4f\uff53\uff45 \uff45\uff58\uff45\uff43\uff55\uff54\uff41\uff42\uff4c\uff45, or command name (docker-compose) if it is on the [$PATH] environment variable. Default value is 'docker-compose'.\u0e0f\u0e39\u0130\u0131\uff5c]
help=[G'help\u0e0f\u0e39\u0130\u0131\uff5c]
IBM\ Supported\ Plugin=[G'\uff29\uff22\uff2d \uff33\uff55\uff50\uff50orted Plugin\u0e0f\u0e39\u0130\u0131\uff5c]
If\ the\ requesting\ user\ does\ not\ have\ sufficient\ permissions\ to\ create\ components,\ resources,\ and\ snapshots\ on\ the\ server,\ specify\ the\ authorization\ token\ of\ a\ privileged\ user.=[G'\uff29\uff46 \uff54\uff48\uff45 \uff52\uff45\uff51\uff55\uff45\uff53\uff54\uff49\uff4e\uff47 \uff55\uff53\uff45\uff52 \uff44\uff4f\uff45\uff53 \uff4e\uff4f\uff54 \uff48\uff41\uff56\uff45 \uff53\uff55\uff46\uff46\uff49\uff43\uff49\uff45\uff4e\uff54 \uff50\uff45\uff52missions to create components, resources, and snapshots on the server, specify the authorization token of a privileged user.\u0e0f\u0e39\u0130\u0131\uff5c]
kill=[G'kill\u0e0f\u0e39\u0130\u0131\uff5c]
Launch\ Docker\ Compose\ Application=[G'\uff2c\uff41\uff55\uff4e\uff43\uff48 \uff24\uff4f\uff43\uff4ber Compose Application\u0e0f\u0e39\u0130\u0131\uff5c]
List\ of\ command\ specific\ options\ and\ services.\ Input\ will\ be\ placed\ directly\ onto\ the\ command\ line.=[G'\uff2c\uff49\uff53\uff54 \uff4f\uff46 \uff43\uff4f\uff4d\uff4d\uff41\uff4e\uff44 \uff53\uff50\uff45\uff43\uff49\uff46\uff49c options and services. Input will be placed directly onto the command line.\u0e0f\u0e39\u0130\u0131\uff5c]
List\ of\ services\ and\ number\ of\ container\ pairs\ delimited\ by\ newlines\ or\ commas.\ Each\ pair\ is\ separated\ by\ an\ equals\ (\=)\ sign.\ For\ example\:\ 'service\=num'=[G'\uff2c\uff49\uff53\uff54 \uff4f\uff46 \uff53\uff45\uff52\uff56\uff49\uff43\uff45\uff53 \uff41\uff4e\uff44 \uff4e\uff55\uff4d\uff42\uff45\uff52 \uff4f\uff46 \uff43\uff4f\uff4e\uff54\uff41\uff49\uff4e\uff45\uff52 \uff50\uff41\uff49rs delimited by newlines or commas. Each pair is separated by an equals (\=) sign. For example\: 'service\=num'\u0e0f\u0e39\u0130\u0131\uff5c]
logs=[G'logs\u0e0f\u0e39\u0130\u0131\uff5c]
pause=[G'pause\u0e0f\u0e39\u0130\u0131\uff5c]
port=[G'port\u0e0f\u0e39\u0130\u0131\uff5c]
Project\ Name=[G'\uff30\uff52oject Name\u0e0f\u0e39\u0130\u0131\uff5c]
Property\ reference\:\ sourceConfigType=[G'\uff30\uff52\uff4f\uff50\uff45\uff52\uff54\uff59 \uff52\uff45ference\: sourceConfigType\u0e0f\u0e39\u0130\u0131\uff5c]
ps=[G'ps\u0e0f\u0e39\u0130\u0131\uff5c]
pull=[G'pull\u0e0f\u0e39\u0130\u0131\uff5c]
push=[G'push\u0e0f\u0e39\u0130\u0131\uff5c]
restart=[G'restart\u0e0f\u0e39\u0130\u0131\uff5c]
rm=[G'rm\u0e0f\u0e39\u0130\u0131\uff5c]
run=[G'run\u0e0f\u0e39\u0130\u0131\uff5c]
Run\ any\ docker-compose\ command\ through\ this\ generalized\ step.\ It\ is\ highly\ suggested\ to\ use\ a\ command's\ specific\ step\ if\ available.=[G'\uff32\uff55\uff4e \uff41\uff4e\uff59 \uff44\uff4f\uff43\uff4b\uff45\uff52-\uff43\uff4f\uff4d\uff50\uff4f\uff53\uff45 \uff43\uff4f\uff4d\uff4d\uff41\uff4e\uff44 \uff54\uff48\uff52\uff4fugh this generalized step. It is highly suggested to use a command's specific step if available.\u0e0f\u0e39\u0130\u0131\uff5c]
Run\ Docker\ Compose=[G'\uff32\uff55\uff4e \uff24\uff4f\uff43ker Compose\u0e0f\u0e39\u0130\u0131\uff5c]
scale=[G'scale\u0e0f\u0e39\u0130\u0131\uff5c]
Scale\ a\ service\ by\ assigning\ a\ number\ of\ available\ containers.\ (docker-compose\ scale)=[G'\uff33\uff43\uff41\uff4c\uff45 \uff41 \uff53\uff45\uff52\uff56\uff49\uff43\uff45 \uff42\uff59 \uff41ssigning a number of available containers. (docker-compose scale)\u0e0f\u0e39\u0130\u0131\uff5c]
Scale\ Docker\ Compose\ Application=[G'\uff33\uff43\uff41\uff4c\uff45 \uff24\uff4f\uff43\uff4ber Compose Application\u0e0f\u0e39\u0130\u0131\uff5c]
Select\ the\ docker-compose\ command\ to\ run.=[G'\uff33\uff45\uff4c\uff45\uff43\uff54 \uff54\uff48\uff45 \uff44\uff4fcker-compose command to run.\u0e0f\u0e39\u0130\u0131\uff5c]
Select\ to\ save\ the\ plugin's\ generated\ executable\ script\ to\ analyze\ and\ run\ manually\ later.=[G'\uff33\uff45\uff4c\uff45\uff43\uff54 \uff54\uff4f \uff53\uff41\uff56\uff45 \uff54\uff48\uff45 \uff50\uff4c\uff55gin's generated executable script to analyze and run manually later.\u0e0f\u0e39\u0130\u0131\uff5c]
Server\ URL=[G'\uff33erver URL\u0e0f\u0e39\u0130\u0131\uff5c]
Service\ and\ Container\ Pairs=[G'\uff33\uff45\uff52\uff56\uff49\uff43\uff45 \uff41\uff4ed Container Pairs\u0e0f\u0e39\u0130\u0131\uff5c]
Snapshot=[G'Snapshot\u0e0f\u0e39\u0130\u0131\uff5c]
Source\ Configuration\ Type=[G'\uff33\uff4f\uff55\uff52\uff43\uff45 \uff23\uff4f\uff4efiguration Type\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ additional\ command-line\ options\ for\ the\ docker-compose\ Scale\ command.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41\uff44\uff44\uff49\uff54\uff49\uff4fnal command-line options for the docker-compose Scale command.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ additional\ command-line\ options\ for\ the\ docker-compose\ up\ command.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41\uff44\uff44\uff49\uff54\uff49onal command-line options for the docker-compose up command.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ additional\ command-line\ options\ for\ the\ general\ docker-compose\ command.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41\uff44\uff44\uff49\uff54\uff49\uff4fnal command-line options for the general docker-compose command.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ an\ alternate\ project\ name.\ By\ default,\ the\ project\ name\ is\ the\ directory\ name.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff41\uff4e \uff41\uff4c\uff54\uff45\uff52\uff4e\uff41te project name. By default, the project name is the directory name.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ environment\ variables\ by\ separating\ the\ name\ and\ value\ by\ an\ equals\ sign\ and\ each\ pair\ by\ a\ newline\ or\ comma.\ Values\ specified\ here\ will\ take\ precedence\ over\ the\ environment\ script\ variables.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff45\uff4e\uff56\uff49\uff52\uff4f\uff4e\uff4d\uff45\uff4e\uff54 \uff56\uff41\uff52\uff49\uff41\uff42\uff4c\uff45\uff53 \uff42\uff59 \uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff49\uff4e\uff47 \uff54\uff48\uff45 \uff4e\uff41\uff4d\uff45 \uff41\uff4e\uff44 \uff56alue by an equals sign and each pair by a newline or comma. Values specified here will take precedence over the environment script variables.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ in\ seconds\ a\ shutdown\ timeout.\ Default\ is\ 10\ seconds.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff49\uff4e \uff53\uff45\uff43onds a shutdown timeout. Default is 10 seconds.\u0e0f\u0e39\u0130\u0131\uff5c]
Specify\ the\ paths\ to\ shell\ scripts\ to\ run\ before\ the\ Docker\ Compose\ command\ runs.\ Typically,\ this\ property\ is\ used\ to\ run\ a\ Docker\ environment\ script.\ This\ property\ is\ utilized\ only\ on\ *nix\ machines.=[G'\uff33\uff50\uff45\uff43\uff49\uff46\uff59 \uff54\uff48\uff45 \uff50\uff41\uff54\uff48\uff53 \uff54\uff4f \uff53\uff48\uff45\uff4c\uff4c \uff53\uff43\uff52\uff49\uff50\uff54\uff53 \uff54\uff4f \uff52\uff55\uff4e \uff42\uff45\uff46\uff4f\uff52\uff45 \uff54\uff48\uff45 \uff24\uff4f\uff43\uff4b\uff45\uff52 \uff23ompose command runs. Typically, this property is used to run a Docker environment script. This property is utilized only on *nix machines.\u0e0f\u0e39\u0130\u0131\uff5c]
start=[G'start\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ all\ of\ the\ application\ services\ that\ are\ defined\ in\ a\ Compose\ file.\ (docker-compose\ up)\ This\ specialized\ step\ is\ expected\ to\ be\ follow\ the\ "Create\ Resource\ Tree"\ step.=[G'\uff33\uff54\uff41\uff52\uff54 \uff41\uff4c\uff4c \uff4f\uff46 \uff54\uff48\uff45 \uff41\uff50\uff50\uff4c\uff49\uff43\uff41\uff54\uff49\uff4f\uff4e \uff53\uff45\uff52\uff56\uff49\uff43\uff45\uff53 \uff54\uff48\uff41\uff54 \uff41\uff52\uff45 \uff44\uff45\uff46ined in a Compose file. (docker-compose up) This specialized step is expected to be follow the "Create Resource Tree" step.\u0e0f\u0e39\u0130\u0131\uff5c]
stop=[G'stop\u0e0f\u0e39\u0130\u0131\uff5c]
The\ template\ to\ use\ when\ creating\ components\ from\ Compose\ application\ resources.\ You\ can\ use\ component\ templates\ to\ store\ different\ sets\ of\ registry\ credentials.=[G'\uff34\uff48\uff45 \uff54\uff45\uff4d\uff50\uff4c\uff41\uff54\uff45 \uff54\uff4f \uff55\uff53\uff45 \uff57\uff48\uff45\uff4e \uff43\uff52\uff45\uff41\uff54\uff49\uff4e\uff47 \uff43\uff4f\uff4d\uff50\uff4f\uff4e\uff45\uff4e\uff54\uff53 \uff46rom Compose application resources. You can use component templates to store different sets of registry credentials.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ URL\ of\ the\ IBM\ UrbanCode\ Deploy\ server.=[G'\uff34\uff48\uff45 \uff35\uff32\uff2c \uff4f\uff46 \uff54\uff48\uff45 IBM UrbanCode Deploy server.\u0e0f\u0e39\u0130\u0131\uff5c]
Timeout=[G'Timeout\u0e0f\u0e39\u0130\u0131\uff5c]
unpause=[G'unpause\u0e0f\u0e39\u0130\u0131\uff5c]
up=[G'up\u0e0f\u0e39\u0130\u0131\uff5c]
Version=[G'Version\u0e0f\u0e39\u0130\u0131\uff5c]
